- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# uIP 1.0 Data Structures

Here are the data structures with brief descriptions:

dhcpc_state |
hello_world_state |
httpd_cgi_call |
httpd_state |
memb_blocks |
psock | The representation of a protosocket
psock_buf |
pt |
smtp_state |
telnetd_state |
timer | A timer
uip_conn | Representation of a uIP TCP connection
uip_eth_addr | Representation of a 48-bit Ethernet address
uip_eth_hdr | The Ethernet header
uip_icmpip_hdr |
uip_neighbor_addr |
uip_stats | The structure holding the TCP/IP statistics that are gathered if UIP_STATISTICS is set to 1
uip_tcpip_hdr |
uip_udp_conn | Representation of a uIP UDP connection
uip_udpip_hdr |
webclient_state |